<?php defined('SYSPATH') or die('No direct script access.');

/**
 * Class Model_Semesters
 *
 * @property int ID
 * @property int Num
 * @property int Year
 * @property string Season
 */
class Model_Statistics extends Model
{
    public static function requests() {
        $startDate = date("Y/m/d", strtotime(" -1 months"));
        $query = 'CALL `Stats_GetSupportRequestFrequency`(:startDate)';
        $stats = DB::query(Database::SELECT, $query)
                    ->param(':startDate', $startDate)
                    ->execute()->as_array();
        return $stats;
    }

    public static function log_ins() {
        $startDate = date("Y/m/d", strtotime(" -1 months"));
        $query = 'CALL `Stats_GetSignInFrequency`(:startDate)';
        $stats = DB::query(Database::SELECT, $query)
            ->param(':startDate', $startDate)
            ->execute()->as_array();
        return $stats;
    }

}
