<?php

class Controller_Office_Sync extends Controller_Environment_Office
{
    private function getLog()
    {
        //next example will recieve all messages for specific conversation
        $service_url = 'http://grade.local/sync/syncLog';
        $curl = curl_init($service_url);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        $curl_response = curl_exec($curl);
        if ($curl_response === false) {
            $info = curl_getinfo($curl);
            curl_close($curl);
            die('error occured during curl exec. Additioanl info: ' . var_export($info));
        }
        curl_close($curl);
        $decoded = json_decode($curl_response);
        if (isset($decoded->response->status) && $decoded->response->status == 'ERROR') {
            die('error occured: ' . $decoded->response->errormessage);
        }
//        echo 'response ok!';
//        var_export($decoded);
        return $decoded;
    }

    public function action_index()
    {

        $log = $this->getLog();

        $this->twig->set([
            'log' => $log
        ])->set_filename(static::OFFICE . 'sync');
    }
}
